<?php

class Shopware_Controllers_Frontend_QuiversShipping extends Enlight_Controller_Action
{

    public function indexAction()
    {
        $session = Shopware()->Session();
        $service = $this->container->get('quivers_bopis_plugin.components.confighelper');
        if ($this->Request()->getPost('quivers_basket_dispatch_list')) {
            $session['QuiverssDispatch'] = (int) $this->Request()->getPost('quivers_basket_dispatch_list');
        }

        $shipId = $this->Request()->getPost('quivers_basket_dispatch_list');
        $basketCore = Shopware()->Modules()->Basket();
        $basket = $basketCore->sGetBasket();
        $allMethods = $session['allMethods'];
        $shpmethod= null;
        $price = 0;
        foreach($allMethods as $method){
            if($method['id']== $shipId){
                $shpmethod = $method;
                $price= $method['price'];
                break;
            }
        }
        $shipped_qty = $basket['quivers_shipped_items'];
        $approx_ship_amounts = [];
        if($shipped_qty > 0){
            $approx_ship_amounts = $service->splitShippingLineItem($price, $shipped_qty);
        }
        $i=0;
        foreach($basket['content'] as $basketItem){
            if($basketItem['__s_order_basket_attributes_businessrefid']){
                continue;
            }
            $data = [
                "bopis_shipping_name"=>$shpmethod['name'],
                "bopis_shipping_id"=>$shipId,
                "bopis_shipping_fee"=>$approx_ship_amounts[$i]
            ];
            $service->addBopisData($data, 's_order_basket_attributes', $basketItem['id']);
            $i++;
        }
        $target = $this->Request()->getParam("quivers_target");
        $this->redirect([
            'controller' => 'checkout',
            'action' => $target
        ]);
    }
}